Summary: Network monitoring tools for tracking MAC:IP address pairs on a network.
Name: arpwatch
Version: 2.1a10m
Release: 1
Copyright: distributable
Group: Applications/System
Patch: arpwatch-2.1a10m.patch
BuildRoot: /var/tmp/arpwatch-buildroot

Distribution: Rampant
Vendor: Rampant Solutions, LLC
Source: arpwatch-2.1a10m.tar.gz
Packager: Rampant Solutions, LLC

%description
arpwatch and arpsnmp are network monitoring tools.  Both utilities
monitor ethernet traffic and build databases of MAC:IP address pairs.

This modification provides only syslog reporting by default but includes
an option to enable alerts via mail.  This is different from the original
implementation which required sendmail to function properly.

This package is particularly useful if you have a large DHCP host pool
and do not want arpwatch to send mail every time the address list
changes.

%prep

%setup

%patch -p1 -b .buildroot

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/arpwatch
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/arpwatch
/usr/bin/install -m 550 -o 0 -g 0 arpwatch $RPM_BUILD_ROOT/usr/sbin/arpwatch
/usr/bin/install -m 550 -o 0 -g 0 arpsnmp $RPM_BUILD_ROOT/usr/sbin/arpsnmp
/usr/bin/install -m 555 -o 0 -g 0 arp2ethers $RPM_BUILD_ROOT/var/arpwatch/arp2ethers
/usr/bin/install -m 555 -o 0 -g 0 massagevendor $RPM_BUILD_ROOT/var/arpwatch/massagevendor
/usr/bin/install -m 644 -o 0 -g 0 e.awk $RPM_BUILD_ROOT/var/arpwatch/e.awk
/usr/bin/install -m 644 -o 0 -g 0 d.awk $RPM_BUILD_ROOT/var/arpwatch/d.awk
/usr/bin/install -m 644 -o 0 -g 0 p.awk $RPM_BUILD_ROOT/var/arpwatch/p.awk
/usr/bin/install -m 644 -o 0 -g 0 ethercodes.dat $RPM_BUILD_ROOT/var/arpwatch/ethercodes.dat
/usr/bin/install -m 644 -o 0 -g 0 euppertolower.awk $RPM_BUILD_ROOT/var/arpwatch/euppertolower.awk
/usr/bin/install -m 744 -o 0 -g 0 arp.dat $RPM_BUILD_ROOT/var/arpwatch/arp.dat
/usr/bin/install -m 555 -o 0 -g 0 etc/rc.d/init.d/arpwatch $RPM_BUILD_ROOT/etc/rc.d/init.d/arpwatch
/usr/bin/install -m 444 -o 0 -g 0 usr/man/man8/arpwatch.8 $RPM_BUILD_ROOT/usr/man/man8/arpwatch.8
/usr/bin/install -m 444 -o 0 -g 0 usr/man/man8/arpsnmp.8 $RPM_BUILD_ROOT/usr/man/man8/arpsnmp.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README CHANGES
/usr/sbin/arpwatch
/usr/sbin/arpsnmp
/var/arpwatch/arp2ethers
/var/arpwatch/massagevendor
/var/arpwatch/e.awk
/var/arpwatch/d.awk
/var/arpwatch/p.awk
/var/arpwatch/ethercodes.dat
/var/arpwatch/euppertolower.awk
/var/arpwatch/arp.dat
/usr/man/man8/arpwatch.8.gz
/usr/man/man8/arpsnmp.8.gz
/etc/rc.d/init.d/arpwatch

%changelog
* Thu Mar 01 2001 arpwatch-2.1a10m
- Stephen Thomas [stephenthomas@rampantsolutions.com]
- enabled alerts via mail option
- split arpwatch into its own source package
